#
# spec file for package msitools
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           msitools
Version:        0.93
Release:        6.3
Summary:        Tools to inspect and build Windows Installer (.MSI) files
License:        GPL-2.0+
Group:          Productivity/Archiving/Compression
Url:            https://wiki.gnome.org/msitools
Source:         http://download.gnome.org/sources/msitools/0.93/%{name}-%{version}.tar.xz
BuildRequires:  bison
BuildRequires:  intltool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gio-2.0) >= 2.14
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gobject-introspection-1.0) >= 0.9.4
BuildRequires:  pkgconfig(libgcab-1.0) >= 0.1.10
BuildRequires:  pkgconfig(libgsf-1)
BuildRequires:  pkgconfig(libxml-2.0) >= 2.7
BuildRequires:  pkgconfig(uuid) >= 1.41.3
BuildRequires:  pkgconfig(vapigen) >= 0.16
Recommends:     %{name}-lang

%description
msitools is a set of programs to inspect and build Windows Installer
(.MSI) files.  It is based on libmsi, a portable library to read and
write .MSI files.

msitools plans to be a solution for packaging and deployment of
cross-compiled Windows applications.

%package -n libmsi0
Summary:        Library to inspect and build Windows Installer (.MSI) files
License:        LGPL-2.1+
Group:          System/Libraries

%description -n libmsi0
libmsi is a port of (and a subset of) Wine's implementation of the Windows
Installer.

%package -n typelib-1_0-Libmsi-1_0
Summary:        Library to inspect and build Windows Installer (.MSI) files -- Introspection bindings
License:        LGPL-2.1+
Group:          System/Libraries

%description -n typelib-1_0-Libmsi-1_0
libmsi is a port of (and a subset of) Wine's implementation of the Windows
Installer.

%package devel
Summary:        Tools to inspect and build Windows Installer (.MSI) files -- Development Files
License:        LGPL-2.1+
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}
Requires:       libmsi0 = %{version}
Requires:       typelib-1_0-Libmsi-1_0 = %{version}

%description devel
msitools is a set of programs to inspect and build Windows Installer
(.MSI) files.  It is based on libmsi, a portable library to read and
write .MSI files.  libmsi in turn is a port of (and a subset of) Wine's
implementation of the Windows Installer.

msitools plans to be a solution for packaging and deployment of
cross-compiled Windows applications.

%lang_package

%prep
%setup -q

%build
%configure \
  --disable-static
make %{?_smp_mflags} V=1

%install
%make_install
%find_lang %{name} %{?no_lang_C}
find %{buildroot} -type f -name "*.la" -delete -print

%post -n libmsi0 -p /sbin/ldconfig
%postun -n libmsi0 -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING COPYING.LIB NEWS README
%{_bindir}/msibuild
%{_bindir}/msidiff
%{_bindir}/msidump
%{_bindir}/msiextract
%{_bindir}/msiinfo
%{_bindir}/wixl
%{_bindir}/wixl-heat
%{_datadir}/bash-completion/completions/msitools
%{_datadir}/wixl-%{version}/

%files lang -f %{name}.lang
%defattr(-,root,root)

%files -n libmsi0
%defattr (-, root, root)
%{_libdir}/libmsi.so.0*

%files -n typelib-1_0-Libmsi-1_0
%defattr(-,root,root)
%{_libdir}/girepository-1.0/Libmsi-1.0.typelib

%files devel
%defattr (-, root, root)
%{_includedir}/libmsi-1.0/
%{_libdir}/libmsi.so
%{_libdir}/pkgconfig/libmsi-1.0.pc
%{_datadir}/gir-1.0/*.gir
%{_datadir}/vala/vapi/

%changelog
* Wed Feb 22 2017 mpluskal@suse.com
- Cleanup spec file
* Wed Dec 10 2014 vuntz@opensuse.org
- Initial package (0.93)
